@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Roboto", sans-serif;
}

:root {
    --bg-color: #ffffff;
    --second-bg-color: #ae3600;
    --text1-color: #222d27;
    --text2-color: #fdd700;
    --main-color: #006a34;
    
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text1-color);
    overflow: hidden !important;  
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 7rem;
    padding: 3rem 9%;
    display: flex;
    background: transparent;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--second-bg-color);
    z-index: -1;
}

.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(50deg, transparent, #006a34, transparent);
    z-index: -1;
    transition: .5s;
}

.header:hover::after {
    left: 100%;
}

.header.sticky {
    background: var(--second-bg-color);
}

.header img {
    position: relative;
    height: 8rem;
    z-index: 1;
}

.navbar {
    position: relative;
}

.navbar a {
    position: relative;
    font-size: 1.5rem;
    color: var(--bg-color);
    font-weight: 500;
    margin-left: 3.5rem;
    text-decoration: none;
    transition: .3s ease;
}

.navbar a::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: 3px;
    background: var(--text2-color);
    border-radius: 40px;
    transform: scale(0);
    transform-origin: right;
    transition: .3s ease;
}

.navbar a:hover::after {
    transform-origin: left;
    transform: scale(1);
}

.navbar a:hover,
.navbar .active {
    color: var(--text2-color);
    transform: scale(0) translateY(50px);
}

#check {
    display: none;
}

.icons {
    position: absolute;
    font-size: 2.8rem;
    color: var(--bg-color);
    cursor: pointer;
    display: none;
    right: 5%;
    z-index: 1;
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

/* Home Section */
.home {
    align-items: center;
    justify-content: center;
    padding: 0 9%;
    background: url(../img/bg1.png) no-repeat;
    background-size: cover;
    background-position: center;
}

.home-logo img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 20%
}

.heading {
    position: relative;
    font-size: 5.5rem;
    margin-bottom: 2rem;
    text-align: center;
    font-family: "Lobster", sans-serif;
    color: var(--bg-color);
    -webkit-text-stroke: 2px #006a34;
    font-weight: 400;
    font-style: normal;
}

.heading span {
    font-weight: 900;
}

.heading p {
    font-size: 3.5rem;
    font-weight: 900;
}

.home-container {
   align-items: center;
   justify-content: center;
   padding: 7%;
}

.content1 {
    position: relative;
    background: var(--second-bg-color);
    text-align: center;
    box-shadow: 0 0 10px #006a34,
                0 0 20px #006a34,
                0 0 40px #006a34;
    border-radius: 15px;
    z-index: 2; /* Ensure content is above the video */
}

.content1 h1 {
    font-size: 4em;
    color: var(--bg-color);
    -webkit-text-stroke: 2px #006a34;
    font-weight: 900;
}

.content1 p {
    font-size: 2.5em;
    padding-top: 2rem;
    font-weight: 500;
    color: var(--text2-color);
}

.btn-box {
    display: inline-block;
    width: 34.5rem;
    height: 5rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.btn-box .btn {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: 1500ms;
}

.btn-box .btn:hover {
    color: var(--main-color);
    transform: translateY(-15px);
    box-shadow: 0 0 10px #ffffff,
                0 0 20px #fdd700,
                0 0 40px #ae3600,
                0 0 80px #006a34,
                0 0 100px #222d27;
}

.btn-box .btn::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    background: var(--text2-color);
    z-index: -1;
    transition: .5s;
}

.btn-box .btn:hover::before {
    width: 100%;
}

/* Feature Section */
.feature {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding-bottom: 6rem;
}

.feature-container {
    display: flex;
    flex-direction: row;
    gap: 5rem;
    margin-top: 3rem;
}

.feature .heading {
    color: var(--text2-color);
    -webkit-text-stroke: 2px #ae3600;
    
}

.feature .heading span {
    color: var(--text2-color);
}

.feature .heading p {
    font-size: 3.5rem;
    font-weight: 900;
}

.feature-text p {
    margin-top: 1rem;
    font-size: 2.5rem;
    font-weight: 500;
    text-align: justify;
}

.feature-text span {
    font-size: 1.8rem;
    font-weight: 500;
    text-align: justify;
}

/* Menu Section */
.menu {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    background: var(--second-bg-color);
    padding-bottom: 6rem;
}

.menu-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.menu-container .menu-row1 {
    display: flex;
    flex-direction: row;
}

.menu-container .menu-row2 {
    display: flex;
    flex-direction: row;
}

.card {
    position: relative;
    border-radius: 30px;
    margin: 2rem;
}

.card .menu-item img {
    position: relative;
    display: block;
    height: 250px;
    width: 250px;
    object-fit: cover;
    border-radius: 30px;
    transition: .2s ease-in-out;
}

.card:hover img {
    filter: grayscale(1) brightness(.4) blur(2px);
    transform: translateY(-30px);
}

.menu-content p{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transition: .5s ease;
    font-size: 1.7rem;
    color: var(--bg-color);
}

.menu-content h2 {
    font-size: 3rem;
    color: var(--bg-color);
    -webkit-text-stroke: .9px #006a34;
    padding-bottom: 3rem;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    text-align: center;
    flex-direction: column;
    transition: .5s ease;
}

.menu-content h3 {
    width: 100%;
    height: 20%;
    bottom: 0;
    left: 0;
    position: absolute;
    display: flex;
    justify-content: flex-end;
    text-align: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transition: .5s ease;
    font-size: 3rem;
    color: var(--text1-color);
    background: var(--text2-color);
}

.menu-content:hover h2 {
    opacity: 1;
    z-index: 1;
    transform: translateY(-200px);
    color: var(--text2-color);
    font-size: 2.1rem;
    
} 

.menu-content:hover p{
    opacity: 1;
    padding: 2rem;
    transform: translateY(-30px);
}

.menu-content:hover h3{
  opacity: 1;
  padding: 1rem;
  transform: translateY(-30px);
}

/* FAQs Section */
.faqs {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    padding-bottom: 6rem;
}

.faqs .heading {
    color: var(--text2-color);
    -webkit-text-stroke: 2px #ae3600;
}

.faqs-container {
    max-width: 800px;
}

.faqs-questions {
    font-size: 1.1rem;
    z-index: 2;
}

.faqs-answer {
    box-shadow: 0 0 10px #222d27,
                0 0 20px #222d27,
                0 0 40px #222d27;
    font-size: 1.5rem;
    border-radius: 5px;
}

.faqs-container .faqs-box {
    position: relative;
    margin: 10px 20px;
}

.faqs-container .faqs-box .faqs-questions {
    position: relative;
    padding: 10px;
    background: var(--main-color);
    color: var(--bg-color);
    cursor: pointer;
}

.faqs-container .faqs-box .faqs-questions::before {
    content: '+';
    position: absolute;
    top: 50%;
    right: 5%;
    transform: translateY(-50%);
    font-size: 2.5rem;
}

.faqs-container .faqs-box.active .faqs-questions::before {
    content: '-';
    font-size: 3rem;
    top: 50%;
    right: 5%;
}

.faqs-container .faqs-box .faqs-answer {
    position: relative;
    height: 0;
    overflow: hidden;
    transition: .5s;
    overflow-y: auto;
}

.faqs-container .faqs-box.active .faqs-answer {
    height: 150px;
    padding: 10px;
}

/* Testimonial Section */
.testimony {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    background: var(--second-bg-color);
    padding-bottom: 6rem;
}

.testimonials-section {
	width: 100%;
	padding: 0px 8%;
}
.testimonials-section .section-header{
	max-width: 700px;
	text-align: center;
	margin: 30px auto 40px;
}
.section-header h1{
	position: relative;
	font-size: 36px;
	color: var(--text2-color);
}
.testimonials-container{
	position: relative;
}
.testimonials-container .testimonial-card{
	padding: 20px;
}
.testimonial-card .test-card-body{
	background-color: var(--bg-color);
	box-shadow: 2px 2px 20px #006a34;
	padding: 20px;
    border-radius: 15px;
}
.test-card-body .quote{
	display: flex;
	align-items: center;
}
.test-card-body .quote i{
	font-size: 45px;
	color: var(--text1-color);
	margin-right: 20px;
}
.test-card-body .quote h2{
	color: var(--text1-color);
}
.test-card-body p{
	margin: 10px 0px 15px;
	font-size: 14px;
	line-height: 1.5;
	color: var(--text1-color);
}
.test-card-body .ratings{
	margin-top: 20px;
}
.test-card-body .ratings i{
	font-size: 17px;
	color: var(--text2-color);
	cursor: pointer;
}
.testimonial-card .profile{
	display: flex;
	align-items: center;
	margin-top: 25px;
}
.profile .profile-image{
	width: 55px;
	height: 55px;
	border-radius: 50%;
	overflow: hidden;
	margin-right: 15px;
}
.profile .profile-image img{
	width: 100%;
	height: 100%;
	border-radius: 50%;
	object-fit: cover;
}
.profile .profile-desc{
	display: flex;
	flex-direction: column;
}
.profile-desc span:nth-child(1){
	font-size: 24px;
	font-weight: bold;
	color: var(--text2-color);
}
.profile-desc span:nth-child(2){
	font-size: 15px;
	color: var(--bg-color);
}
.owl-nav{
	position: absolute;
	right: 20px;
	bottom: -10px;
}
.owl-nav button{
	border-radius: 50% !important;
}
.owl-nav .owl-prev i,
.owl-nav .owl-next i{
	padding: 10px !important;
	border-radius: 50%;
	font-size: 18px !important;
	background-color: var(--text1-color) !important;
	color: var(--text2-color);
	cursor: pointer;
	transition: 0.4s;
}
.owl-nav .owl-prev i:hover,
.owl-nav .owl-next i:hover{
	background-color: var(--text2-color) !important;
	color: var(--bg-color);
}
.owl-dots{
	margin-top: 15px;
}
.owl-dots .owl-dot span{
	background-color: var(--text1-color) !important;
	padding: 6px !important;
}
.owl-dot.active span{
	background-color: var(--text2-color) !important;
}

/* Contact Section */
.contact {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding-bottom: 6rem;
}

.contact .heading {
    color: var(--text2-color);
    -webkit-text-stroke: 2px #ae3600;
}

.container {
    position: relative;
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .form {
    width: 100%;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.1);
    z-index: 2;
    overflow: hidden;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
  
  .contact-form {
    background: linear-gradient(45deg, #006a34, #07c9a2);
    position: relative;
  }
  
  form {
    padding: 2.3rem 2.2rem;
    z-index: 10;
    overflow: hidden;
    position: relative;
  }
  
  .title {
    color: var(--bg-color);
    font-weight: 500;
    font-size: 3rem;
    line-height: 1;
    margin-bottom: 0.7rem;
  }
  
  .input-container {
    position: relative;
    margin: 2rem 0;
  }
  
  .input {
    width: 100%;
    height: 35px;
    outline: none;
    border: 2px solid #fafafa;
    background: none;
    padding: 0.6rem 1.2rem;
    color: var(--bg-color);
    font-weight: 500    ;
    font-size: 0.95rem;
    letter-spacing: 0.5px;
    border-radius: 25px;
    transition: 0.3s;
  }
  
  textarea.input {
    padding: 0.8rem 1.2rem;
    min-height: 150px;
    border-radius: 22px;
    resize: none;
    overflow-y: auto;
  }
  
  .input-container label {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    padding: 0 0.4rem;
    color: var(--bg-color);
    font-size: 1.5rem;
    font-weight: 400;
    pointer-events: none;
    z-index: 1000;
    transition: 0.5s;
  }
  
  .input-container.textarea label {
    top: 1rem;
    transform: translateY(0);
  }
  
  .btn {
    padding: 1rem 2rem;
    background-color: var(--bg-color);
    border: 2px solid #ffffff;
    font-size: 2rem;
    color: var(--main-color);
    line-height: 1;
    border-radius: 25px;
    outline: none;
    cursor: pointer;
    transition: 0.3s;
    margin: 0;
  }
  
  .btn:hover {
    background-color: transparent;
    color: var(--bg-color);
  }
  
  .input-container span {
    position: absolute;
    top: 0;
    left: 25px;
    transform: translateY(-50%);
    font-size: 0.8rem;
    padding: 0 0.4rem;
    color: transparent;
    pointer-events: none;
    z-index: 500;
  }
  
  .input-container span:before,
  .input-container span:after {
    content: "";
    position: absolute;
    width: 10%;
    opacity: 0;
    transition: 0.3s;
    height: 5px;
    background-color: var(--main-color);
    top: 50%;
    transform: translateY(-50%);
  }
  
  .input-container span:before {
    left: 50%;
  }
  
  .input-container span:after {
    right: 50%;
  }
  
  .input-container.focus label {
    top: 0;
    transform: translateY(-50%);
    left: 25px;
    font-size: .9rem;
  }
  
  .input-container.focus span:before,
  .input-container.focus span:after {
    width: 50%;
    opacity: 1;
  }
  
  .contact-info {
    padding: 2.3rem 2.2rem;
    position: relative;
  }
  
  .contact-info .title {
    color: var(--main-color);
  }
  
  .text {
    color: var(--text1-color);
    margin: 1rem 0 2rem 0;
    font-size: 1.5rem;
    text-align: justify;
  }

  .head-text {
    margin-top: 2rem;
  }
  
  .information {
    display: flex;
    color: var(--text1-color);
    margin: 0.7rem 0;
    align-items: center;
    font-size: 1.5rem;
  }

  .information i {
    background: linear-gradient(45deg, #006a34, #07c9a2);
    border-radius: 5px;
    color: var(--bg-color);
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    margin-right: 1rem;
    transition: 0.5s;
  }

  .information .bx:hover {
    transform: rotateZ(20deg);
  }

  .social-media {
    padding: 2rem 0 0 0;
  }
  
  .social-media p {
    color: var(--main-color);
    font-weight: 500;
    font-size: 2rem;
  }
  
  .social-icons {
    display: flex;
    margin-top: 0.5rem;
  }
  
  .social-icons a {
    width: 50px;
    height: 50px;
    border-radius: 5px;
    background: linear-gradient(45deg, #006a34, #07c9a2);
    color: var(--bg-color);
    text-align: center;
    line-height: 50px;
    margin-right: 1rem;
    transition: 0.5s;
  }
  
  .social-icons a:hover {
    transform: scale(1.2);
  }
  
  .square {
    position: absolute;
    height: 400px;
    top: 50%;
    left: 50%;
    transform: translate(181%, 11%);
    opacity: 0.2;
  }
  
  @media (max-width: 850px) {
    .form {
      grid-template-columns: 1fr;
    }
  
    .contact-info:before {
      bottom: initial;
      top: -75px;
      right: 65px;
      transform: scale(0.95);
    }
  
    .contact-form:before {
      top: -13px;
      left: initial;
      right: 70px;
    }
  
    .square {
      transform: translate(140%, 43%);
      height: 350px;
    }
  
    .text {
      margin: 1rem 0 1.5rem 0;
    }
  
    .social-media {
      padding: 1.5rem 0 0 0;
    }
  }
  
  @media (max-width: 480px) {
    .container {
      padding: 1.5rem;
    }
  
    .contact-info:before {
      display: none;
    }
  
    .square,
    .big-circle {
      display: none;
    }
  
    form,
    .contact-info {
      padding: 1.7rem 1.6rem;
    }
  
    .text,
    .information,
    .social-media p {
      font-size: 0.8rem;
    }
  
    .title {
      font-size: 1.15rem;
    }
  
    .social-icons a {
      width: 30px;
      height: 30px;
      line-height: 30px;
    }
  
    .icon {
      width: 23px;
    }
  
    .input {
      padding: 0.45rem 1.2rem;
    }
  
    .btn {
      padding: 0.45rem 1.2rem;
    }
  }
  


/* BREAKPOINTS */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }

    .feature-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .menu-row1, .menu-row2 {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media (max-width: 992px) {
    .header {
        padding: 2rem 4%;
    }
    
    section {
        padding: 10rem 4% 2rem;
    }

    .home {
        padding: 0 4%;
    }
}

@media (max-width: 768px) {
    .header {
        background: var(--bg-color);
    }

    .icons {
        display: inline-flex;
    }

    #check:checked~.icons #menu-icon {
        display: none;
    }
    
    .icons #close-icon {
        display: none;
    }

    #check:checked~.icons #close-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        background: var(--second-bg-color);
        box-shadow: 0 .5rem 1rem #222d27;
        transition: .3s ease;
        overflow: hidden;
    }

    #check:checked~.navbar {
        height: 25rem;
    }

    .navbar a {
        display: block;
        font-size: 1.5rem;
        margin: 1.5rem 0;
        text-align: center;
        opacity: 0;
        transform: translateY(-50px);
        transition: .3s ease;
    }

    #check:checked~.navbar a {
        transform: translateY(0);
        opacity: 1;
        transition-delay: calc(.15s * var(--i));
    }

    .home-container {
        padding: 15%;
    }
    
    .menu-content:hover h2 {
        font-size: 3rem;
        transform: translateY(-200px);
        
    } 
    
    .menu-content:hover p{
        font-size: 2rem;
    } 
}

@media (max-width: 520px) {
    html {
        font-size: 50%;
    }
}
